<odoo>
    <data noupdate="0"> 

        <record id="wh_deposits" model="stock.warehouse">
            <field name="name">Depósito Salidas</field>
            <field name="code">DEPOU</field>
            <field name="partner_id" ref="base.main_partner"/>
        </record>

        <!-- create xml ids for locations in parent warehouse that are used later-->
        <function model="ir.model.data" name="_update_xmlids">
            <value model="base" eval="[{
                'xml_id': 'stock_picking_deposito.stock_location_deposits_stock',
                'record': obj().env.ref('stock_picking_deposito.wh_deposits').lot_stock_id,
                'noupdate': True,
            },{
                'xml_id': 'stock_picking_deposito.stock_location_deposits_parent',
                'record': obj().env.ref('stock_picking_deposito.wh_deposits').view_location_id,
                'noupdate': True,
            }]"/>
        </function>

    </data>
    <data noupdate="0"> 

        <record id="location_deposit_buy" model="stock.location">
            <field name="name">Depósitos Entradas</field>
            <field name="usage">view</field>
            <field name="location_id" ref="stock.stock_location_stock"/>
        </record>

        <record id="location_deposit_sale" model="stock.location">
            <field name="name">Depósitos Salidas</field>
            <field name="usage">view</field>
            <field name="location_id" ref="stock_picking_deposito.stock_location_deposits_stock"/>
        </record>

        <record id="seq_stock_picking_deposit_in" model="ir.sequence">
            <field name="name">Recepción en depósito</field>
            <field name="code">stock.picking</field>
            <field eval="4" name="padding" />
            <field name="prefix">DEPIN/</field>
        </record>

        <record id="seq_stock_picking_deposit_out" model="ir.sequence">
            <field name="name">Salida en depósito</field>
            <field name="code">stock.picking</field>
            <field eval="4" name="padding" />
            <field name="prefix">DEPOUT/</field>
        </record>

        <record id="stock_picking_deposit_out" model="stock.picking.type">
            <field name="name">Salida en Depósito</field>
            <field name="code">internal</field>
            <field name="sequence_id" ref="seq_stock_picking_deposit_out" />
            <field name="default_location_src_id" ref="stock.stock_location_stock"/>
            <field name="is_deposit">True</field> 
        </record>

        <record id="stock_picking_deposit_in" model="stock.picking.type">
            <field name="name">Recepción en Depósito</field>
            <field name="code">incoming</field>
            <field name="sequence_id" ref="seq_stock_picking_deposit_in" />
            <field name="default_location_src_id" ref="stock.stock_location_suppliers"/>
            <field name="is_deposit">True</field>
        </record>

    </data>
</odoo>
